# Created by pyp2rpm-3.3.2
%global pypi_name primesieve

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 3
Summary:        Fast prime number generator. Python bindings for primesieve C/C++ library
Group:          Development/Python
License:        MIT
URL:            https://github.com/hickford/primesieve-python
Source0:        https://github.com/shlomif/primesieve-python/archive/v%{version}/primesieve-python-%{version}.tar.gz
# skipto was deprecated
Patch0:         c54d965ac0d198e933afa4c48281aeeb4c7516c2.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libgomp-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  pkgconfig(primesieve)

%description
Python bindings for the primesieve C++ library.

Generates primes orders of magnitude faster than any pure Python code.

%package -n     python3-%{pypi_name}
Summary:        Fast prime number generator. Python3 bindings for primesieve C/C++ library
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python 3 bindings for the primesieve C++ library.

Generates primes orders of magnitude faster than any pure Python code.

%prep
%autosetup -n %{pypi_name}-python-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
perl -lpi -e 's/^/# / if /= parallel_cpp_compile$/' setup.py
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files primesieve

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Mar 01 2025 wally <wally> 2.3.1-3.mga10
+ Revision: 2155549
- rebuild for python3.13

* Fri Mar 01 2024 daviddavid <daviddavid> 2.3.1-2.mga10
+ Revision: 2046191
- rebuild for new primesieve 12.0

* Thu Feb 29 2024 papoteur <papoteur> 2.3.1-1.mga10
+ Revision: 2045998
- new version 2.3.1
- load tarball from github to have .pyx files instead of generated .cpp in pypi
- add patch for newer Python
- rebuild for python 3.12

* Mon Mar 28 2022 umeabot <umeabot> 2.3.0-3.mga9
+ Revision: 1829575
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.3.0-2.mga9
+ Revision: 1783302
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1717237
- new version: 2.3.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.4.4-3.mga8
+ Revision: 1533452
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 wally <wally> 1.4.4-2.mga8
+ Revision: 1444520
- rebuild for python3.8
- drop python2 support
- update description

* Mon Jan 07 2019 shlomif <shlomif> 1.4.4-1.mga7
+ Revision: 1350789
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1300549
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 shlomif <shlomif> 1.3.0-1.mga7
+ Revision: 1237507
- add BRs
- try to fix build by avoiding parallel builds
- add BRs
- add BRs
- pyp2rpm

